#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#


%define upstream_name pykde4
%define shared_desktop_ontologies_version 0.11.0

Name: python-kde4
Summary: KDE bindings to non-C++ languages
Version: 4.14.3
Release: %mkrel 8
Epoch: 1
Group: Development/KDE and Qt
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdebindings/pykde4
Source: http://download.kde.org/stable/%{version}/src/%{upstream_name}-%{version}.tar.xz
Patch0: pykde4-4.13.97-make_pykde4_respect_sip_flags.patch
# from Fedora
Patch1: pykde4-4.14.3-missing_symbols.patch
# Patches from branch

BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(polkit-qt-1)
BuildRequires: pkgconfig(python-3.5)
BuildRequires: python3-sip-devel >= 1:4.12
BuildRequires: python-qt4-devel >= 4.8.2
BuildRequires: boost-devel

Provides: PyKDE4 = %epoch:%version-%release
Provides: pykde4 = %epoch:%version-%release
Requires: python-qt4 >= 4.8.2
Requires: sip-api(%{_sip_api_major}) >= %{_sip_api}

%description
The Python bindings for KDE 4.

%files
%_kde_bindir/pykdeuic4
%_kde_bindir/pykdeuic4-%{python2_version}
%py_platsitedir/PyQt4/
%py_platsitedir/PyKDE4
%_kde_libdir/kde4/kpythonpluginfactory.so
%dir %_kde_appsdir/pykde4

#------------------------------------------------------------------------------

%package devel
Summary: PyKDE4 sip files and examples
Group: Development/KDE and Qt
Conflicts: python-kde4 < 1:4.5.77-0.svn1198704.2
Requires: python-kde4 = %epoch:%version-%release
Requires: python-qt4-devel

%description devel
Python KDE 4 sip files and examples.

%files devel
%_kde_datadir/sip/PyKDE4
%_kde_appsdir/pykde4/examples

#------------------------------------------------------------------------------

%package doc
Summary: PyKDE4 documentation
BuildArch: noarch
Group: Documentation
Conflicts: python-kde4 < 1:4.7.90-2

%description doc
Python bindings for KDE 4 documentation.

%files doc
%doc AUTHORS NEWS README THANKS
%doc %_kde_docdir/python-kde4

#------------------------------------------------------------------------------

%prep
%setup -q -n %{upstream_name}-%{version}
%autopatch -p1

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make_build

%install
%make_install -C build

# Copy Python Doc
%{__mkdir_p} %{buildroot}%_datadir/doc/python-kde4
%{__cp} -a docs/html/*  %{buildroot}%_datadir/doc/python-kde4/


%changelog
* Sun Dec 25 2016 neoclust <neoclust> 1:4.14.3-8.mga6
+ Revision: 1077437
- Build w/o nepomuk

* Mon Jun 27 2016 akien <akien> 1:4.14.3-7.mga6
+ Revision: 1037810
- Rebuild in core/release

* Sat Jun 25 2016 akien <akien> 1:4.14.3-6.mga6
+ Revision: 1037511
- Rebuild for python-sip 4.18

* Fri Dec 18 2015 pterjan <pterjan> 1:4.14.3-5.mga6
+ Revision: 911789
- Drop patch now that a proper fix is in python-qt4
- Add a patch to fix build on arm

* Thu Dec 17 2015 blino <blino> 1:4.14.3-4.mga6
+ Revision: 911340
- add patch from Fedora to fix missing QtNetwork symbols at link

* Sat Oct 10 2015 tv <tv> 1:4.14.3-3.mga6
+ Revision: 889035
- use right py*version macro
- bump BR
- rebuild for python 3.5

  + lmenut <lmenut>
    - disable Akonadi Python bindings

* Wed Dec 03 2014 lmenut <lmenut> 1:4.14.3-1.mga5
+ Revision: 800686
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 1:4.14.2-1.mga5
+ Revision: 787784
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 1:4.14.1-2.mga5
+ Revision: 742743
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 1:4.14.1-1.mga5
+ Revision: 734638
- Update to KDE SC 4.14.1

* Sat Sep 27 2014 tv <tv> 1:4.14.0-3.mga5
+ Revision: 728912
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1:4.14.0-2.mga5
+ Revision: 688107
- Mageia 5 Mass Rebuild

* Mon Aug 25 2014 lmenut <lmenut> 1:4.14.0-1.mga5
+ Revision: 667572
- Update to KDE SC 4.14.0
  remove patches merged upstream
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 1:4.13.97-1.mga5
+ Revision: 663084
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC
  rediff patch0 respect sip flags
  add patch from KDE/4.14 branch to install pykde_config.sip

* Sat Jul 26 2014 lmenut <lmenut> 1:4.13.95-1.mga5
+ Revision: 656762
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 1:4.13.90-1.mga5
+ Revision: 653947
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 1:4.13.80-1.mga5
+ Revision: 652058
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1
  remove patch2 merge upstream

* Sun Jun 15 2014 lmenut <lmenut> 1:4.13.2-1.mga5
+ Revision: 636821
- Update to KDE SC 4.13.2

* Tue Jun 03 2014 lmenut <lmenut> 1:4.13.1-2.mga5
+ Revision: 632669
- add patch to fix build against sip 4.16

  + pterjan <pterjan>
    - Rebuild for new Python

* Sat May 24 2014 lmenut <lmenut> 1:4.13.1-1.mga5
+ Revision: 625588
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 1:4.13.0-1.mga5
+ Revision: 615669
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 1:4.12.97-1.mga5
+ Revision: 609481
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 1:4.12.95-1.mga5
+ Revision: 606922
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Mon Mar 17 2014 shlomif <shlomif> 1:4.12.90-3.mga5
+ Revision: 604501
- Fix build against the new python-sip.

  + fwang <fwang>
    - rebuild for new python-sip

  + neoclust <neoclust>
    - New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 1:4.12.80-1.mga5
+ Revision: 600817
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 1:4.12.2-1.mga5
+ Revision: 590548
- New version 4.12.2

* Thu Feb 13 2014 neoclust <neoclust> 1:4.11.5-1.mga5
+ Revision: 590030
- New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 1:4.11.4-1.mga4
+ Revision: 555080
- Update tarball to KDE SC 4.11.4

* Fri Nov 15 2013 lmenut <lmenut> 1:4.11.3-1.mga4
+ Revision: 551370
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 1:4.11.2-2.mga4
+ Revision: 539831
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 1:4.11.2-1.mga4
+ Revision: 490802
- Update tarball to KDE SC 4.11.2

* Sat Sep 14 2013 lmenut <lmenut> 1:4.11.1-1.mga4
+ Revision: 478911
- Add upstream patches from KDE/4.11 to fix build with python sip 4.15 (bko#323899)

  + mikala <mikala>
    - Update tarball to KDE SC 4.11.1

  + fwang <fwang>
    - use py_ver in filename

* Sat Aug 10 2013 mikala <mikala> 1:4.11.0-1.mga4
+ Revision: 465297
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 1:4.10.97-1.mga4
+ Revision: 458998
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 1:4.10.95-1.mga4
+ Revision: 455383
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Mon Jul 01 2013 mikala <mikala> 1:4.10.90-1.mga4
+ Revision: 448808
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Tue Jun 18 2013 fwang <fwang> 1:4.10.4-2.mga4
+ Revision: 444309
- rebuild for new sip

* Sun Jun 02 2013 mikala <mikala> 1:4.10.4-1.mga4
+ Revision: 435376
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 1:4.10.3-1.mga4
+ Revision: 428483
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 1:4.10.2-1.mga3
+ Revision: 407293
- Update tarball to KDE SC 4.10.2

* Sun Mar 10 2013 lmenut <lmenut> 1:4.10.1-1.mga3
+ Revision: 402016
- Update tarball to KDE SC 4.10.1

* Wed Mar 06 2013 rtp <rtp> 1:4.10.0-2.mga3
+ Revision: 401558
- add arm build fix from Debian

* Mon Feb 04 2013 mikala <mikala> 1:4.10.0-1.mga3
+ Revision: 394456
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3
- Drop patch100 merged upstream

* Sun Jan 13 2013 umeabot <umeabot> 1:4.9.97-2.mga3
+ Revision: 379035
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 1:4.9.97-1.mga3
+ Revision: 339567
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2
- Add patch100 from upstream to fix symlink
- Fix files list

* Mon Dec 24 2012 mikala <mikala> 1:4.9.95-1.mga3
+ Revision: 334618
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 1:4.9.90-1.mga3
+ Revision: 326819
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2
- Drop patch0 merged upstream

* Thu Nov 22 2012 mikala <mikala> 1:4.9.80-1.mga3
+ Revision: 320436
- Add patch from upstream to fix python3/python2 text handling
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 1:4.9.3-1.mga3
+ Revision: 316215
- Update tarball to KDE SC 4.9.3
- Drop patch merged upstream

* Tue Oct 09 2012 fwang <fwang> 1:4.9.2-1.mga3
+ Revision: 303743
- new version 4.9.2

* Tue Oct 09 2012 fwang <fwang> 1:4.9.1-2.mga3
+ Revision: 303739
- add upstream patch to build with newer python-qt4
- new version 4.9.2
- rebuild for new python-sip

  + mikala <mikala>
    - Update tarball to KDE SC 4.9.2
    - Fix group

* Sat Sep 08 2012 mikala <mikala> 1:4.9.1-1.mga3
+ Revision: 289680
- Update tarball to KDE SC 4.9.1

* Tue Jul 31 2012 mikala <mikala> 1:4.9.0-1.mga3
+ Revision: 276632
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 1:4.8.97-1.mga3
+ Revision: 269724
- new version 4.8.97

* Sat Jun 30 2012 fwang <fwang> 1:4.8.95-1.mga3
+ Revision: 265344
- new version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 1:4.8.4-1.mga3
+ Revision: 257195
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 1:4.8.2-1.mga2
+ Revision: 228435
- new version 4.8.2

  + mikala <mikala>
    - New upstream tarball

* Wed Mar 07 2012 fwang <fwang> 1:4.8.1-1.mga2
+ Revision: 220844
- new version 4.8.1

* Sun Feb 26 2012 lmenut <lmenut> 1:4.8.0-2.mga2
+ Revision: 215158
- rebuild for python-qt4 4.9.1
  and python-sip 4.13.2

* Thu Jan 19 2012 mikala <mikala> 1:4.8.0-1.mga2
+ Revision: 198137
- Updating tarball to KDE 4.8.0

* Fri Jan 13 2012 mikala <mikala> 1:4.7.97-2.mga2
+ Revision: 195815
- Rebuild to fix undefine symbol ( _ZNK15sipKColorButton16inputMethoeQueryEN2Qt16InputMethodQueryE )

* Thu Jan 05 2012 mikala <mikala> 1:4.7.97-1.mga2
+ Revision: 190884
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 1:4.7.95-1.mga2
+ Revision: 185782
- Update tarball to KDE SC 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 1:4.7.90-1.mga2
+ Revision: 182222
- Update tarball to KDE SC 4.7.90
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON
- fix BuildRequires
- fix URL

* Sun Dec 04 2011 mikala <mikala> 1:4.7.4-1.mga2
+ Revision: 176573
- Update tarball to KDE SC 4.7.4
- Add BuildRequires for polkitqt-1

* Wed Nov 02 2011 mikala <mikala> 1:4.7.3-1.mga2
+ Revision: 161429
- Update tarball to KDE SC 4.7.3

* Wed Oct 05 2011 mikala <mikala> 1:4.7.2-1.mga2
+ Revision: 151991
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 1:4.7.1-1.mga2
+ Revision: 140681
- Update tarball to KDE SC 4.7.1
- Build documentation as noarch
- Remove %%clean section
- Remove %%defattr()
- Update tarball to KDE SC 4.7.0
- use kde4 macros

* Mon Jul 11 2011 mikala <mikala> 1:4.6.95-0.mga2
+ Revision: 122350
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 1:4.6.90-1.mga2
+ Revision: 115910
- imported package python-kde4

